# Coveo Omnibox Component (CoveoOmnibox)

## Index

### Methods

- clear
- debugInfo
- disable
- enable
- getBindings
- getInput
- getText
- setText
- submit
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- clearFiltersOnNewQuery
- enableFieldAddon
- enableQueryExtensionAddon
- enableQuerySuggestAddon
- enableQuerySyntax
- enableSearchAsYouType
- inline
- numberOfSuggestions
- omniboxTimeout
- placeholder
- querySuggestCharacterThreshold
- searchAsYouTypeDelay

### Constructors

- constructor

## Methods

### clear

- clear(): void

- - Defined in ui/Omnibox/Omnibox.ts :370

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getInput

- getInput(): HTMLInputElement

- - Defined in ui/Omnibox/Omnibox.ts :377

  #### Returns HTMLInputElement

### getText

- getText(): string

- - Defined in ui/Omnibox/Omnibox.ts :354

  #### Returns string

  The current content of the input.

### setText

- setText(text: string): void

- - Defined in ui/Omnibox/Omnibox.ts :362

  #### Parameters

  - ##### text: string

  #### Returns void

### submit

- submit(): void

- - Defined in ui/Omnibox/Omnibox.ts :341

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### clearFiltersOnNewQuery

clearFiltersOnNewQuery: boolean

- Defined in ui/Omnibox/Omnibox.ts :280

Markup configuration example(s) :

    data-clear-filters-on-new-query='true'
    data-clear-filters-on-new-query='false'

### enableFieldAddon

enableFieldAddon: boolean

- Defined in ui/Omnibox/Omnibox.ts :164

Markup configuration example(s) :

    data-enable-field-addon='true'
    data-enable-field-addon='false'

### enableQueryExtensionAddon

enableQueryExtensionAddon: boolean

- Defined in ui/Omnibox/Omnibox.ts :204

Markup configuration example(s) :

    data-enable-query-extension-addon='true'
    data-enable-query-extension-addon='false'

### enableQuerySuggestAddon

enableQuerySuggestAddon: boolean

- Defined in ui/Omnibox/Omnibox.ts :192

Markup configuration example(s) :

    data-enable-query-suggest-addon='true'
    data-enable-query-suggest-addon='false'

### enableQuerySyntax

enableQuerySyntax: boolean

- Defined in ui/Omnibox/Omnibox.ts :238

Markup configuration example(s) :

    data-enable-query-syntax='true'
    data-enable-query-syntax='false'

### enableSearchAsYouType

enableSearchAsYouType: boolean

- Defined in ui/Omnibox/Omnibox.ts :135

Markup configuration example(s) :

    data-enable-search-as-you-type='true'
    data-enable-search-as-you-type='false'

### inline

inline: boolean

- Defined in ui/Omnibox/Omnibox.ts :121

Markup configuration example(s) :

    data-inline='true'
    data-inline='false'

### numberOfSuggestions

numberOfSuggestions: number

- Defined in ui/Omnibox/Omnibox.ts :253

Markup configuration example(s) :

    data-number-of-suggestions='10'

### omniboxTimeout

omniboxTimeout: number

- Defined in ui/Omnibox/Omnibox.ts :228

Markup configuration example(s) :

    data-omnibox-timeout='10'

### placeholder

placeholder: string

- Defined in ui/Omnibox/Omnibox.ts :221

Markup configuration example(s) :

    data-placeholder='foo'

### querySuggestCharacterThreshold

querySuggestCharacterThreshold: number

- Defined in ui/Omnibox/Omnibox.ts :268

Markup configuration example(s) :

    data-query-suggest-character-threshold='10'

### searchAsYouTypeDelay

searchAsYouTypeDelay: number

- Defined in ui/Omnibox/Omnibox.ts :143

Markup configuration example(s) :

    data-search-as-you-type-delay='10'

## Constructors

### constructor

- new Omnibox(element: HTMLElement, options?: IOmniboxOptions, bindings?: IComponentBindings): Omnibox

- Overwrites Component.constructor

  - Defined in ui/Omnibox/Omnibox.ts :292

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: IOmniboxOptions

  - ##### Optional bindings: IComponentBindings

  #### Returns Omnibox